package de.hampelratte.yaggui;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.net.SocketException;
import java.util.Vector;

import de.hampelratte.yaggui.gui.MainFrame;

class ResponseReader extends Thread {
    private Logger logger = Logger.getLogger();

    private InputStream in;

    private MainFrame gui;

    private Communicator com;

    private boolean running = false;

    public ResponseReader(InputStream in, MainFrame gui, Communicator com) {
        this.gui = gui;
        this.com = com;
        this.in = in;
    }

    public void run() {
        running = true;
        int countero = 0;
        while (running) {
            try {
                ByteArrayOutputStream buffer = new ByteArrayOutputStream();
                int pch = 0;
                int ch = 0;

                while (running) {
                    ch = in.read();
                    buffer.write(ch);
                    if (ch == -1) {
                        logger
                                .warn("Connection to giftd lost. Resetting Yaggui...");
                        in.close();
                        running = false;
                        if (Main.getGUI().isConnected()) {
                            javax.swing.JOptionPane.showMessageDialog(gui,
                                    "Connection to giftd lost", "Error",
                                    javax.swing.JOptionPane.ERROR_MESSAGE);
                            Main.getGUI().disconnect();
                        }
                        break;
                    }

                    if (ch == ';' && pch != '\\') {
                        break;
                    }
                    pch = ch;
                }
                String line = new String(buffer.toByteArray()).trim();

                logger.verbose("<-- GIFT: " + line);

                if (line != null) {
                    Command cmd = new Command(line);
                    if (((String) cmd.get("command")).equals("ATTACH")) {
                        gui.setConnected();
                    } else if (((String) cmd.get("command")).equals("STATS")) {
                        tokenizeStats(line);
                    } else if (((String) cmd.get("command")).indexOf("ITEM") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        String type = com.getTypeOfQuery(ID);
                        if (type.equals("SHARES")) {
                            String path = (String) cmd.get("path");
                            if (cmd.size() > 2) {
                                start = path.lastIndexOf("/") + 1;
                                stop = path.length();
                                String name = path.substring(start, stop);

                                Vector tableline = new Vector();
                                tableline.add(name);
                                tableline.add((String) cmd.get("hash"));
                                Object size = cmd.get("size");
                                if (size == null)
                                    size = "0";
                                tableline.add(new Integer((String) size));
                                gui.getFilePanel().addShare(tableline);
                            }
                        } else if (type.equals("SEARCH")) {
                            if (cmd.size() > 2) {
                                gui.getSearchPanel().addResult(cmd);
                            } else {
                                gui.getSearchPanel().setEnded(new Integer(ID));
                            }
                        } else if (type.equals("LOCATE")) {
                            //logger.debug("<--| " + line);
                            String hash = (String) cmd.get("hash");
                            String user = (String) cmd.get("user");
                            String url = (String) cmd.get("url");
                            String size = "0";
                            try {
                                size = new Long((String) cmd.get("size"))
                                        .toString();
                            } catch (NumberFormatException nfe) {
                            }
                            String file = (String) cmd.get("file");
                            if (file != null) {
                                String save = file.substring(file
                                        .lastIndexOf("/") + 1);
                                Main.com.addNewSource(ID, user, hash, size, url, save);
                            }
                        } else if (type.equals("BROWSE")) {
                            if (cmd.size() > 2) {
                                gui.getSearchPanel().addResult(cmd);
                            } else {
                                gui.getSearchPanel().setEnded(new Integer(ID));
                            }
                        }
                    } else if (((String) cmd.get("command"))
                            .indexOf("ADDDOWNLOAD") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        Main.com.addSessionID(ID, "ADDDOWNLOAD");
                        gui.getTransferPanel().addLoad(cmd, 0, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("ADDUPLOAD") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        Main.com.addSessionID(ID, "ADDUPLOAD");
                        gui.getTransferPanel().addLoad(cmd, 1, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("CHGDOWNLOAD") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        gui.getTransferPanel().changeLoad(cmd, 0, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("CHGUPLOAD") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        gui.getTransferPanel().changeLoad(cmd, 1, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("DELDOWNLOAD") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        gui.getTransferPanel().delLoad(0, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("DELUPLOAD") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        gui.getTransferPanel().delLoad(1, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("ADDSOURCE") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        gui.getTransferPanel().addSource(cmd, ID);
                    } else if (((String) cmd.get("command"))
                            .indexOf("DELSOURCE") == 0) {
                        int start = line.indexOf("(") + 1;
                        int stop = line.indexOf(")");
                        int ID = Integer.parseInt(line.substring(start, stop));
                        gui.getTransferPanel().delSource(cmd, ID);
                    } else if (((String) cmd.get("command")).indexOf("SHARE") == 0) {
                        logger.debug("Update shares...");
                        if (((String) cmd.get("status")).equals("Done")) {
                            Main.getGUI().getFilePanel().resetTable();
                            Main.com.getShares();
                        }
                    } else {
                        logger.warn("Received unknown command from giftd: "
                                + line);
                    }
                }
            } catch (SocketException se) {
                if (Main.getGUI().isConnected()) {
                    javax.swing.JOptionPane.showMessageDialog(gui,
                            "Connection to giftd lost", "Error",
                            javax.swing.JOptionPane.ERROR_MESSAGE);
                    Main.getGUI().disconnect();
                }
            } catch (Exception e) {
                logger.error(e);
                e.printStackTrace();
            }
        }
    }

    private void tokenizeStats(String line) {
        long onUsers = 0;
        long onFiles = 0;
        float onSize = 0.0f;

        int start = line.indexOf(" ") + 1;
        int stop = line.indexOf("}", start) + 1;
        String gift = line.substring(start, stop);
        line = line.substring(stop, line.length() - 1);

        start = gift.indexOf("files(") + 6;
        stop = gift.indexOf(")", start);
        int userfiles = Integer.parseInt(gift.substring(start, stop));

        start = gift.indexOf("size(") + 5;
        stop = gift.indexOf(")", start);
        float userfilessize = Float.parseFloat(gift.substring(start, stop));

        String toolTipText = "<html><b>Sharing</b>: " + userfiles + " files ("
                + userfilessize + " GB)";

        while ((start = line.indexOf("{")) != -1) {

            stop = line.indexOf("}", start);
            String network = line.substring(0, start).trim();
            String stats = line.substring(start, stop);
            line = line.substring(stop + 1, line.length());

            start = stats.indexOf("users(");
            stop = stats.indexOf(")", start + 6);
            int netusers = Integer.parseInt(stats.substring(start + 6, stop));
            onUsers += netusers;

            start = stats.indexOf("files(");
            stop = stats.indexOf(")", start + 6);
            int netfiles = Integer.parseInt(stats.substring(start + 6, stop));
            onFiles += netfiles;

            start = stats.indexOf("size(");
            stop = stats.indexOf(")", start + 5);
            float netsize = Float.parseFloat(stats.substring(start + 5, stop));
            onSize += netsize;

            toolTipText += "<br><br><b>" + network + "</b>:<br>" + "Users: "
                    + netusers + "<br>" + "Files: " + netfiles + "<br>"
                    + "Size:  " + netsize + " GB";
        }
        toolTipText += "</html>";
        gui.setStatusToolTip(toolTipText);
        gui.setStatusText("Online:      " + onUsers + " users,      " + onFiles
                + " files,      " + onSize + " GB");
    }

    public void stopThread() {
        running = false;
    }
}