package de.hampelratte.yaggui.cddb;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.MalformedURLException;
import java.net.URL;

import javax.swing.JOptionPane;

import de.hampelratte.yaggui.Logger;
import de.hampelratte.yaggui.Main;
import de.hampelratte.yaggui.gui.cddb.CDDBPanel;
import de.hampelratte.yaggui.gui.cddb.CDDBResult;

public class AlbumGetter extends Thread {
    private static Logger logger = Logger.getLogger();

    String q;

    CDDBPanel cddb;

    public AlbumGetter(String query, CDDBPanel cddb) {
        this.q = query;
        this.cddb = cddb;
    }

    public void run() {
        try {
            String host = (String) Main.confTable.get("cddb-host");
            q = q.replace(' ', '+');
            URL url = new URL(
                    "http://"
                            + host
                            + "/freedb_search.php?words="
                            + q
                            + "&allfields=NO&fields=artist&fields=title&allcats=YES&grouping=none");
            OutputStream out = new FileOutputStream(System
                    .getProperty("java.io.tmpdir")
                    + "/albums.html");
            InputStream in = url.openStream();
            int len;
            byte[] b = new byte[100];
            while ((len = in.read(b)) != -1) {
                out.write(b, 0, len);
            }
            out.close();
            in.close();

            FileReader fr = new FileReader(System.getProperty("java.io.tmpdir")
                    + "/albums.html");
            BufferedReader buf = new BufferedReader(fr);

            while (true) {
                try {
                    String line = buf.readLine();
                    if (line == null)
                        break;
                    int anfang = line.indexOf("&id=");
                    if (anfang > -1) {
                        String id = line.substring(anfang + 4, anfang + 12);
                        int start = line.indexOf("cat=") + 4;
                        int stop = line.indexOf("&", start);
                        String cat = line.substring(start, stop);
                        String title = "";
                        if (line.indexOf("td") > -1) {
                            title = line.substring(anfang + 14, line
                                    .indexOf("</a>"));
                            cddb.addResult(new CDDBResult(title, cat, id),
                                    false);
                            if (line.indexOf("font") > -1) {
                                title = line.substring(
                                        line.indexOf("</font>") - 1, line
                                                .indexOf("</font>"));
                                anfang = line.lastIndexOf("&id=");
                                id = line.substring(anfang + 4, anfang + 12);
                                start = line.lastIndexOf("cat=") + 4;
                                stop = line.indexOf("&", start);
                                cat = line.substring(start, stop);
                                cddb.addResult(new CDDBResult(title, cat, id),
                                        true);
                            }
                        } else {
                            title = line.substring(anfang + 28, line
                                    .indexOf("</font>"));
                            cddb
                                    .addResult(new CDDBResult(title, cat, id),
                                            true);
                        }
                    }
                } catch (Exception e) {
                    logger.error(e);
                    JOptionPane
                            .showMessageDialog(
                                    Main.getGUI(),
                                    "<html>Error while getting information from freedb server<br>Please try another host.<br>Use Settings panel to specify one.</html>",
                                    "Error", JOptionPane.ERROR_MESSAGE);
                    Main.getGUI().showPanel("settingspanel");
                    break;
                }
            }
            buf.close();
            fr.close();
        } catch (MalformedURLException e) {
            logger.error(e);
            JOptionPane
                    .showMessageDialog(
                            Main.getGUI(),
                            "<html>Error while getting information from freedb server<br>Please try another host.<br>Use Settings panel to specify one.</html>",
                            "Error", JOptionPane.ERROR_MESSAGE);
            Main.getGUI().showPanel("settingspanel");
        } catch (Exception e) {
            logger.error(e);
            JOptionPane
                    .showMessageDialog(
                            Main.getGUI(),
                            "<html>Error while getting information from freedb server<br>Please try another host.<br>Use Settings panel to specify one.</html>",
                            "Error", JOptionPane.ERROR_MESSAGE);
            Main.getGUI().showPanel("settingspanel");
        }
        File file = new File(System.getProperty("java.io.tmpdir")
                + "/albums.html");
        file.delete();
        cddb.setEnded();
    }
}