package de.hampelratte.yaggui.cddb;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.PrintStream;
import java.net.Socket;
import java.util.StringTokenizer;
import java.util.Vector;

import de.hampelratte.yaggui.Logger;
import de.hampelratte.yaggui.Main;
import de.hampelratte.yaggui.gui.cddb.CDDBPanel;

public class FreedbReader extends Thread {

    private static Logger logger = Logger.getLogger();

    static PrintStream out;

    static InputStream in;

    private String cat = "";

    private String id = "";

    private String[] result;

    private CDDBPanel panel;

    public FreedbReader(CDDBPanel parent) {
        this.panel = parent;
    }

    public String[] getData(String cat, String id) {
        this.cat = cat;
        this.id = id;
        try {
            start();
        } catch (Exception e) {
            logger.error(e);
        }
        return this.result;
    }

    private String readAnswer() { /*
                                   * Diese Methode liest die antworten vom
                                   * Server. Ich baue sie vielleicht spter noch
                                   * ein, um ein besseres Logging zu ermglichen
                                   * und mgliche Fehler aufzudecken.
                                   */

        String answer = "";
        try {
            byte[] buff = new byte[8192]; // Puffer zum lesen der Serverantwort
            ByteArrayOutputStream bos = new ByteArrayOutputStream(); // wenn
                                                                     // Puffer
                                                                     // voll,
                                                                     // dann
                                                                     // wird er
                                                                     // hierreingeschrieben
            byte[] array = null; // soll am ende die komplette antwort haben
            int len = 0;
            len = in.read(buff);
            bos.write(buff, 0, len);
            array = bos.toByteArray();
            answer = new String(array);
            logger.verbose("<-- FREEDB " + answer);
        } catch (Exception e) {
            logger.error(e);
        }
        return answer;
    }

    private String[] readDataSet() {
        String[] result = { "null" };

        try {
            byte[] buff = new byte[8192]; // Puffer zum lesen der Serverantwort
            ByteArrayOutputStream bos = new ByteArrayOutputStream(); // wenn
                                                                     // Puffer
                                                                     // voll,
                                                                     // dann
                                                                     // wird er
                                                                     // hierreingeschrieben
            byte[] array = null; // soll am ende die komplette antwort haben
            int len = 0;
            len = in.read(buff);
            bos.write(buff, 0, len);
            array = bos.toByteArray();
            String answer = new String(array);
            Vector v = new Vector();
            StringTokenizer st = new StringTokenizer(answer, "\n");
            while (st.hasMoreTokens()) {
                String next = st.nextToken();
                logger.verbose("<-- FREEDB " + next);
                if (next.indexOf("=") != -1
                        && next.indexOf("=") != next.length() - 2)
                    v.add(next);
            }
            Object[] zeilen = v.toArray();

            result = new String[zeilen.length];

            for (int i = 0; i < zeilen.length; i++) {
                st = new StringTokenizer((String) zeilen[i], "=");
                st.nextToken(); // diese wird "verheizt", da das erste nur
                                // "Speicherschrott ist (einfach mal ausgeben
                                // lassen)"
                String next = st.nextToken();
                next = next.substring(0, next.length() - 1);
                result[i] = next;
            }
        } catch (Exception e) {
            logger.error(e);
        }

        return result;
    }

    public void run() {
        String[] dataSet = { "" };
        try {
            String host = (String) Main.confTable.get("cddb-host");
            Socket socket = new Socket(host, 8880);
            out = new PrintStream(socket.getOutputStream());
            in = socket.getInputStream();
            readAnswer();

            String handshake = "cddb hello " + System.getProperty("user.name")
                    + " " + socket.getLocalAddress().getHostName() + " "
                    + "yaggui " + Main.VERSION;

            out.println(handshake);
            logger.verbose("--> FREEDB " + handshake);
            readAnswer();

            String query = "cddb read " + cat + " " + id;
            out.println(query);
            logger.verbose("--> FREEDB " + query);
            dataSet = readDataSet();

            out.println("quit");
            logger.verbose("--> FREEDB quit");
            readAnswer();
            readAnswer();
        } catch (Exception e) {
            logger.error(e);
        }

        panel.setCDDBDataSet(dataSet);
    }
}