package de.hampelratte.yaggui.gui;

import java.awt.Color;
import java.awt.Component;

import javax.swing.BorderFactory;
import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.table.DefaultTableCellRenderer;

public class ShareTableCellRenderer extends DefaultTableCellRenderer {
    public ShareTableCellRenderer() {
    }

    public Component getTableCellRendererComponent(JTable myTable,
            Object value, boolean isSelected, boolean hasFocus, int row,
            int column) {
        super.getTableCellRendererComponent(myTable, value, isSelected,
                hasFocus, row, column);

        if (isSelected) {
            setBorder(myTable.getBorder());
            setBackground(UIManager.getColor("Table.selectionBackground"));
            setForeground(UIManager.getColor("Table.selectionForeground"));
        } else {
            setForeground(Color.black);
            setBackground(((row & 1) == 1 ? UIManager
                    .getColor("Statusbar.background") : Color.white));
            setBorder(BorderFactory.createEmptyBorder());
        }
        return this;
    }
}