package de.hampelratte.yaggui.gui;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JWindow;

public class SplashScreen extends JWindow {
    // this is very freaky: it's the splashscreen image converted to a byte
    // array
    // we have a hard coded image ;-)
    private byte[] icon = { (byte) -119, (byte) 80, (byte) 78, (byte) 71,
            (byte) 13, (byte) 10, (byte) 26, (byte) 10, (byte) 0, (byte) 0,
            (byte) 0, (byte) 13, (byte) 73, (byte) 72, (byte) 68, (byte) 82,
            (byte) 0, (byte) 0, (byte) 0, (byte) -6, (byte) 0, (byte) 0,
            (byte) 0, (byte) -106, (byte) 8, (byte) 2, (byte) 0, (byte) 0,
            (byte) 0, (byte) 120, (byte) -72, (byte) 2, (byte) 75, (byte) 0,
            (byte) 0, (byte) 0, (byte) 6, (byte) 98, (byte) 75, (byte) 71,
            (byte) 68, (byte) 0, (byte) -1, (byte) 0, (byte) -1, (byte) 0,
            (byte) -1, (byte) -96, (byte) -67, (byte) -89, (byte) -109,
            (byte) 0, (byte) 0, (byte) 0, (byte) 9, (byte) 112, (byte) 72,
            (byte) 89, (byte) 115, (byte) 0, (byte) 0, (byte) 11, (byte) 17,
            (byte) 0, (byte) 0, (byte) 11, (byte) 17, (byte) 1, (byte) 127,
            (byte) 100, (byte) 95, (byte) -111, (byte) 0, (byte) 0, (byte) 0,
            (byte) 7, (byte) 116, (byte) 73, (byte) 77, (byte) 69, (byte) 7,
            (byte) -45, (byte) 10, (byte) 22, (byte) 18, (byte) 48, (byte) 35,
            (byte) 5, (byte) 63, (byte) -28, (byte) 92, (byte) 0, (byte) 0,
            (byte) 6, (byte) 49, (byte) 73, (byte) 68, (byte) 65, (byte) 84,
            (byte) 120, (byte) -100, (byte) -19, (byte) -35, (byte) -47,
            (byte) -107, (byte) -94, (byte) 74, (byte) 20, (byte) -123,
            (byte) 97, (byte) -72, (byte) -21, (byte) -122, (byte) 1,
            (byte) 19, (byte) -121, (byte) -112, (byte) 71, (byte) -103,
            (byte) 7, (byte) 26, (byte) 71, (byte) 67, (byte) 30, (byte) 69,
            (byte) 30, (byte) 77, (byte) -27, (byte) 1, (byte) 121, (byte) 112,
            (byte) 31, (byte) -50, (byte) -102, (byte) 90, (byte) 53,
            (byte) -120, (byte) -76, (byte) -83, (byte) 56, (byte) -10,
            (byte) 117, (byte) -1, (byte) -33, (byte) -109, (byte) 13,
            (byte) 85, (byte) -96, (byte) -82, (byte) 13, (byte) 28, (byte) 16,
            (byte) -86, (byte) -13, (byte) 121, (byte) -98, (byte) 51,
            (byte) 64, (byte) -61, (byte) 63, (byte) -81, (byte) 126, (byte) 3,
            (byte) -64, (byte) -33, (byte) 67, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) -56, (byte) -69,
            (byte) -59, (byte) -67, (byte) -17, (byte) -5, (byte) 60,
            (byte) -79, (byte) 49, (byte) -73, (byte) -82, (byte) -21,
            (byte) -53, (byte) -18, (byte) -57, (byte) -29, (byte) 49,
            (byte) 54, (byte) 56, (byte) 30, (byte) -113, (byte) 95,
            (byte) -82, (byte) 46, (byte) -124, (byte) 112, (byte) 62,
            (byte) -97, (byte) -13, (byte) 63, (byte) -43, (byte) 117,
            (byte) -35, (byte) -9, (byte) -3, (byte) 46, (byte) -67,
            (byte) -46, (byte) 55, (byte) -68, (byte) -70, (byte) -52,
            (byte) -43, (byte) -71, (byte) -33, (byte) -6, (byte) 8, (byte) 90,
            (byte) -26, (byte) -9, (byte) 50, (byte) -114, (byte) 99,
            (byte) 85, (byte) 85, (byte) -15, (byte) -45, (byte) -75,
            (byte) 109, (byte) -101, (byte) -50, (byte) 77, (byte) 103,
            (byte) 121, (byte) -17, (byte) 23, (byte) 125, (byte) -121,
            (byte) 97, (byte) 40, (byte) -53, (byte) 50, (byte) 54, (byte) 40,
            (byte) -53, (byte) 114, (byte) 24, (byte) -122, (byte) -115,
            (byte) 117, (byte) 57, (byte) -25, (byte) -46, (byte) -10,
            (byte) 11, (byte) -117, (byte) 85, (byte) -33, (byte) -41,
            (byte) -53, (byte) 123, (byte) -65, (byte) -15, (byte) -122,
            (byte) -25, (byte) 121, (byte) 94, (byte) -99, (byte) 27,
            (byte) 39, (byte) 58, (byte) -25, (byte) -74, (byte) -65,
            (byte) 46, (byte) 53, (byte) -17, (byte) -74, (byte) 119,
            (byte) 47, (byte) -118, (byte) -94, (byte) 109, (byte) -37,
            (byte) -8, (byte) -25, (byte) 48, (byte) 12, (byte) -23,
            (byte) -36, (byte) -8, (byte) 103, (byte) 85, (byte) 85,
            (byte) 105, (byte) -12, (byte) -51, (byte) 56, (byte) -114,
            (byte) -29, (byte) 56, (byte) 94, (byte) -5, (byte) 115,
            (byte) -95, (byte) -21, (byte) -70, (byte) -66, (byte) -17,
            (byte) -73, (byte) 27, (byte) -124, (byte) 16, (byte) 118,
            (byte) -23, (byte) -123, (byte) -67, (byte) -68, (byte) 91,
            (byte) -36, (byte) -77, (byte) 44, (byte) 59, (byte) 28, (byte) 14,
            (byte) -15, (byte) 117, (byte) -33, (byte) -9, (byte) -15,
            (byte) 40, (byte) -97, (byte) 30, (byte) -39, (byte) -99,
            (byte) 115, (byte) 69, (byte) 81, (byte) 44, (byte) 58, (byte) 94,
            (byte) -26, (byte) 44, (byte) -124, (byte) 48, (byte) 77,
            (byte) -45, (byte) -27, (byte) 42, (byte) 66, (byte) 8, (byte) 113,
            (byte) -79, (byte) 101, (byte) 89, (byte) 58, (byte) -25,
            (byte) -30, (byte) 113, (byte) -64, (byte) 57, (byte) 103,
            (byte) 27, (byte) -46, (byte) -30, (byte) 56, (byte) 115,
            (byte) 119, (byte) 47, (byte) -20, (byte) -23, (byte) 117,
            (byte) 7, (byte) -106, (byte) 39, (byte) 90, (byte) -83, (byte) 1,
            (byte) -100, (byte) 115, (byte) -37, (byte) -97, (byte) 122,
            (byte) -11, (byte) -5, (byte) -7, (byte) -78, (byte) -26,
            (byte) -71, (byte) 44, (byte) 120, (byte) -46, (byte) -56,
            (byte) -58, (byte) 114, (byte) -30, (byte) -66, (byte) 94,
            (byte) 20, (byte) 51, (byte) -5, (byte) -6, (byte) -9, (byte) -66,
            (byte) -115, (byte) -28, (byte) -121, (byte) -77, (byte) -99,
            (byte) -91, (byte) -107, (byte) 46, (byte) -57, (byte) -29,
            (byte) -47, (byte) 66, (byte) 19, (byte) -9, (byte) -84,
            (byte) 105, (byte) -122, (byte) -94, (byte) 116, (byte) -41,
            (byte) -18, (byte) -100, (byte) 11, (byte) 33, (byte) 88,
            (byte) -55, (byte) 17, (byte) 66, (byte) 72, (byte) -73, (byte) 19,
            (byte) 91, (byte) 78, (byte) -84, (byte) 70, (byte) -68, (byte) -9,
            (byte) -23, (byte) -63, (byte) -60, (byte) 20, (byte) 69,
            (byte) 113, (byte) 121, (byte) -12, (byte) -72, (byte) -81,
            (byte) 23, (byte) 118, (byte) -10, (byte) -22, (byte) -19,
            (byte) -19, (byte) 89, (byte) -46, (byte) 76, (byte) -89,
            (byte) -107, (byte) 122, (byte) 85, (byte) 85, (byte) -29,
            (byte) 56, (byte) 94, (byte) -74, (byte) 95, (byte) -20, (byte) -5,
            (byte) 55, (byte) 14, (byte) 5, (byte) -23, (byte) 98, (byte) 87,
            (byte) 23, (byte) -75, (byte) -22, (byte) -66, (byte) 94,
            (byte) -20, (byte) -35, (byte) -9, (byte) -11, (byte) -122,
            (byte) -75, (byte) -69, (byte) 73, (byte) 35, (byte) 62, (byte) 12,
            (byte) 67, (byte) 60, (byte) 73, (byte) 45, (byte) -118, (byte) 98,
            (byte) -81, (byte) 61, (byte) -24, (byte) 125, (byte) -117,
            (byte) -38, (byte) -15, (byte) 13, (byte) -32, (byte) -69,
            (byte) -34, (byte) -77, (byte) -104, (byte) -55, (byte) 126,
            (byte) -41, (byte) 6, (byte) -117, (byte) 43, (byte) 51,
            (byte) -50, (byte) -71, (byte) -43, (byte) 74, (byte) 38,
            (byte) 61, (byte) -93, (byte) -99, (byte) -25, (byte) 57,
            (byte) -53, (byte) 50, (byte) -17, (byte) 125, (byte) -68,
            (byte) 108, (byte) 31, (byte) 66, (byte) -72, (byte) -84,
            (byte) 61, (byte) 46, (byte) 77, (byte) -45, (byte) -76, (byte) 88,
            (byte) 93, (byte) 92, (byte) -23, (byte) -18, (byte) -67,
            (byte) 112, (byte) -97, (byte) -73, (byte) -115, (byte) 123,
            (byte) -106, (byte) 101, (byte) 77, (byte) -45, (byte) -100,
            (byte) 78, (byte) -89, (byte) 116, (byte) -54, (byte) -30,
            (byte) -49, (byte) 27, (byte) -75, (byte) 109, (byte) -69,
            (byte) -70, (byte) -111, (byte) 44, (byte) 12, (byte) -61,
            (byte) -80, (byte) -6, (byte) -77, (byte) -50, (byte) 124,
            (byte) -27, (byte) 36, (byte) -8, (byte) -111, (byte) 94,
            (byte) -72, (byte) -49, (byte) -37, (byte) 22, (byte) 51,
            (byte) 38, (byte) -67, (byte) -88, (byte) 87, (byte) 85,
            (byte) -43, (byte) -22, (byte) 78, (byte) -70, (byte) -17,
            (byte) -5, (byte) 24, (byte) -72, (byte) 69, (byte) -83,
            (byte) 108, (byte) 47, (byte) -90, (byte) 105, (byte) 90,
            (byte) -67, (byte) 28, (byte) -119, (byte) -1, (byte) -99,
            (byte) 119, (byte) -34, (byte) -69, (byte) 103, (byte) 89,
            (byte) -42, (byte) 52, (byte) 77, (byte) 44, (byte) 21,
            (byte) -102, (byte) -90, (byte) -7, (byte) -78, (byte) 125,
            (byte) 122, (byte) 125, (byte) 38, (byte) -66, (byte) -74,
            (byte) -46, (byte) -1, (byte) -78, (byte) -70, (byte) -80,
            (byte) -51, (byte) 32, (byte) 22, (byte) -30, (byte) 118,
            (byte) 41, (byte) 61, (byte) -10, (byte) -67, (byte) -10,
            (byte) 91, (byte) -46, (byte) 125, (byte) -67, (byte) -80,
            (byte) -113, (byte) 23, (byte) -97, (byte) 42, (byte) 63,
            (byte) -39, (byte) -105, (byte) 87, (byte) 54, (byte) 22,
            (byte) 109, (byte) -82, (byte) 73, (byte) -5, (byte) -90,
            (byte) 21, (byte) -47, (byte) -75, (byte) 101, (byte) 94,
            (byte) 94, (byte) -40, (byte) -71, (byte) -81, (byte) 23,
            (byte) 87, (byte) 102, (byte) -10, (byte) -11, (byte) -26,
            (byte) -59, (byte) -52, (byte) 45, (byte) 110, (byte) -71,
            (byte) -113, (byte) 42, (byte) 109, (byte) -109, (byte) 86,
            (byte) 68, (byte) -85, (byte) 125, (byte) 87, (byte) -117,
            (byte) -97, (byte) -5, (byte) 122, (byte) -91, (byte) 46,
            (byte) 127, (byte) -12, (byte) -35, (byte) -66, (byte) 17,
            (byte) 13, (byte) 43, (byte) 94, (byte) -67, (byte) -67, (byte) 61,
            (byte) -41, (byte) 45, (byte) 123, (byte) -9, (byte) -40,
            (byte) -96, (byte) -86, (byte) 42, (byte) -1, (byte) -89,
            (byte) -76, (byte) -12, (byte) -113, (byte) -19, (byte) 23,
            (byte) -65, (byte) -13, (byte) 59, (byte) -25, (byte) -46,
            (byte) -5, (byte) -70, (byte) -30, (byte) -19, (byte) 0,
            (byte) -117, (byte) -114, (byte) -5, (byte) -10, (byte) 90,
            (byte) 20, (byte) 87, (byte) -117, (byte) 107, (byte) -7,
            (byte) 105, (byte) -5, (byte) -3, (byte) -66, (byte) -53,
            (byte) 119, (byte) -96, (byte) 30, (byte) -9, (byte) 47,
            (byte) -17, (byte) 44, (byte) -120, (byte) 13, (byte) -46,
            (byte) -24, (byte) 124, (byte) -21, (byte) 42, (byte) -31,
            (byte) 95, (byte) -24, (byte) -75, (byte) -120, (byte) -11,
            (byte) -75, (byte) -23, (byte) -112, (byte) 46, (byte) 102,
            (byte) -66, (byte) 117, (byte) -55, (byte) 37, (byte) 109,
            (byte) -20, (byte) -67, (byte) 111, (byte) -37, (byte) 118,
            (byte) -29, (byte) 94, (byte) 46, (byte) 59, (byte) 80, (byte) 44,
            (byte) 38, (byte) 62, (byte) -46, (byte) 107, (byte) -29,
            (byte) -115, (byte) -83, (byte) -10, (byte) -62, (byte) -70,
            (byte) 87, (byte) 111, (byte) 111, (byte) -49, (byte) -75,
            (byte) -67, (byte) 119, (byte) 79, (byte) -25, (byte) -98,
            (byte) 78, (byte) -89, (byte) -43, (byte) 37, (byte) -92,
            (byte) -65, (byte) 1, (byte) 45, (byte) -106, (byte) 112,
            (byte) -19, (byte) -18, (byte) 69, (byte) -17, (byte) -3,
            (byte) 56, (byte) -114, (byte) 113, (byte) -31, (byte) -117,
            (byte) 5, (byte) -34, (byte) -41, (byte) 107, (byte) 81, (byte) 89,
            (byte) 45, (byte) 122, (byte) 45, (byte) 26, (byte) -57,
            (byte) -71, (byte) -20, (byte) -35, (byte) 23, (byte) -14,
            (byte) -103, (byte) -97, (byte) 51, (byte) 32, (byte) 67,
            (byte) -70, (byte) -104, (byte) -127, (byte) 26, (byte) -30,
            (byte) 14, (byte) 33, (byte) -60, (byte) 29, (byte) 66,
            (byte) -120, (byte) 59, (byte) -124, (byte) 16, (byte) 119,
            (byte) 8, (byte) 33, (byte) -18, (byte) 16, (byte) 66, (byte) -36,
            (byte) 33, (byte) -124, (byte) -72, (byte) 67, (byte) 8,
            (byte) 113, (byte) -121, (byte) 16, (byte) -30, (byte) -66,
            (byte) -30, (byte) -15, (byte) -95, (byte) 21, (byte) 67, (byte) 8,
            (byte) 113, (byte) 33, (byte) 12, (byte) -44, (byte) -8,
            (byte) 115, (byte) 112, (byte) 19, (byte) -63, (byte) -118,
            (byte) 60, (byte) 127, (byte) -12, (byte) 107, (byte) -79,
            (byte) 7, (byte) 2, (byte) 109, (byte) 33, (byte) -113, (byte) 47,
            (byte) 13, (byte) 123, (byte) 97, (byte) -17, (byte) -2,
            (byte) 116, (byte) 100, (byte) -3, (byte) -25, (byte) 32,
            (byte) -18, (byte) 91, (byte) -90, (byte) 105, (byte) -78,
            (byte) -111, (byte) -87, (byte) -21, (byte) -70, (byte) 78,
            (byte) 111, (byte) 21, (byte) -114, (byte) -61, (byte) 85,
            (byte) -41, (byte) 117, (byte) -99, (byte) 62, (byte) 100,
            (byte) 20, (byte) -57, (byte) -89, (byte) 78, (byte) 27,
            (byte) -57, (byte) 1, (byte) 60, (byte) 108, (byte) 122, (byte) 93,
            (byte) -41, (byte) 121, (byte) -98, (byte) -97, (byte) -49,
            (byte) -25, (byte) -40, (byte) 38, (byte) -124, (byte) 96,
            (byte) 19, (byte) -69, (byte) -82, (byte) -69, (byte) 54,
            (byte) -80, (byte) 53, (byte) 118, (byte) 65, (byte) -36,
            (byte) -73, (byte) -40, (byte) 24, (byte) -16, (byte) -34,
            (byte) 123, (byte) 27, (byte) -91, (byte) -38, (byte) -110,
            (byte) 29, (byte) 66, (byte) -80, (byte) -121, (byte) -75,
            (byte) -25, (byte) 121, (byte) 46, (byte) -118, (byte) 34,
            (byte) -106, (byte) -26, (byte) -25, (byte) -13, (byte) -71,
            (byte) -21, (byte) 58, (byte) 27, (byte) -91, (byte) -93,
            (byte) -21, (byte) -70, (byte) 107, (byte) 11, (byte) 108,
            (byte) -102, (byte) -58, (byte) 123, (byte) -33, (byte) -9,
            (byte) -67, (byte) -75, (byte) -79, (byte) 42, (byte) -33,
            (byte) -18, (byte) 89, (byte) 95, (byte) 29, (byte) 112, (byte) 6,
            (byte) 123, (byte) 122, (byte) -31, (byte) -51, (byte) -57,
            (byte) 63, (byte) -106, (byte) 125, (byte) 45, (byte) 109,
            (byte) -37, (byte) -106, (byte) 101, (byte) 25, (byte) 39,
            (byte) -106, (byte) 101, (byte) 105, (byte) -9, (byte) -60,
            (byte) -113, (byte) -29, (byte) 24, (byte) 7, (byte) 52,
            (byte) -75, (byte) 7, (byte) 47, (byte) -26, (byte) -33, (byte) 35,
            (byte) -98, (byte) -58, (byte) -23, (byte) -10, (byte) 32,
            (byte) 118, (byte) -70, (byte) 52, (byte) 123, (byte) -111,
            (byte) 14, (byte) -7, (byte) 107, (byte) 55, (byte) -93, (byte) 87,
            (byte) 85, (byte) 21, (byte) 111, (byte) -75, (byte) -73,
            (byte) -72, (byte) 95, (byte) 123, (byte) -56, (byte) 16,
            (byte) -113, (byte) 99, (byte) -17, (byte) 126, (byte) -43,
            (byte) 48, (byte) 12, (byte) -23, (byte) -13, (byte) -44,
            (byte) -121, (byte) -61, (byte) -63, (byte) 70, (byte) -59,
            (byte) 40, (byte) -118, (byte) -62, (byte) -58, (byte) 66,
            (byte) -54, (byte) -13, (byte) 60, (byte) -114, (byte) 47,
            (byte) 96, (byte) -125, (byte) -63, (byte) -57, (byte) -10,
            (byte) -41, (byte) 70, (byte) 29, (byte) -69, (byte) -100,
            (byte) -98, (byte) -82, (byte) -27, (byte) -106, (byte) -79,
            (byte) -54, (byte) -16, (byte) 8, (byte) -30, (byte) -2,
            (byte) 109, (byte) 86, (byte) -76, (byte) 84, (byte) 85, (byte) 53,
            (byte) -33, (byte) 54, (byte) 104, (byte) 7, (byte) 126, (byte) 14,
            (byte) -30, (byte) 126, (byte) 85, (byte) 85, (byte) 85,
            (byte) -23, (byte) 89, (byte) 99, (byte) -33, (byte) -9, (byte) 54,
            (byte) 64, (byte) 123, (byte) -37, (byte) -74, (byte) 31,
            (byte) 31, (byte) 31, (byte) 54, (byte) 72, (byte) -45, (byte) -30,
            (byte) 81, (byte) -41, (byte) -40, (byte) -2, (byte) -10,
            (byte) -45, (byte) -51, (byte) 116, (byte) 45, (byte) -41,
            (byte) 42, (byte) 126, (byte) -20, (byte) -27, (byte) -51,
            (byte) 71, (byte) 17, (byte) 123, (byte) -124, (byte) -115,
            (byte) 64, (byte) -10, (byte) -21, (byte) -41, (byte) -81,
            (byte) -61, (byte) -31, (byte) 48, (byte) 77, (byte) 83, (byte) 85,
            (byte) 85, (byte) 22, (byte) -15, (byte) -45, (byte) -23,
            (byte) -44, (byte) 117, (byte) -99, (byte) 13, (byte) 101,
            (byte) 106, (byte) 39, (byte) -81, (byte) 125, (byte) -33,
            (byte) 59, (byte) -25, (byte) 78, (byte) -89, (byte) -45,
            (byte) -15, (byte) 120, (byte) -76, (byte) -127, (byte) 3,
            (byte) 110, (byte) -1, (byte) -121, (byte) 51, (byte) -34,
            (byte) -5, (byte) -70, (byte) -82, (byte) -21, (byte) -70,
            (byte) 46, (byte) -118, (byte) 34, (byte) -35, (byte) 120,
            (byte) -46, (byte) 43, (byte) -9, (byte) 118, (byte) 54,
            (byte) 108, (byte) 71, (byte) -110, (byte) 60, (byte) -49,
            (byte) -19, (byte) -44, (byte) 121, (byte) -17, (byte) -113,
            (byte) 43, (byte) -127, (byte) -67, (byte) -5, (byte) -118,
            (byte) 24, (byte) -90, (byte) -74, (byte) 109, (byte) 45,
            (byte) -30, (byte) 118, (byte) -27, (byte) -60, (byte) 70,
            (byte) -70, (byte) 107, (byte) -102, (byte) -58, (byte) -54,
            (byte) -9, (byte) -20, (byte) -9, (byte) 69, (byte) 27,
            (byte) -117, (byte) 105, (byte) 58, (byte) 2, (byte) -21,
            (byte) -57, (byte) -57, (byte) 71, (byte) 58, (byte) 98,
            (byte) -57, (byte) -30, (byte) 69, (byte) -106, (byte) -116,
            (byte) -57, (byte) 93, (byte) 20, (byte) 69, (byte) 124,
            (byte) -20, (byte) 58, (byte) 29, (byte) 113, (byte) 32, (byte) 29,
            (byte) 76, (byte) 47, (byte) 29, (byte) -68, (byte) 123, (byte) -5,
            (byte) 63, (byte) -103, (byte) 97, (byte) 27, (byte) 63, (byte) -8,
            (byte) -67, (byte) 88, (byte) -70, (byte) -73, (byte) -98,
            (byte) -90, (byte) -55, (byte) 46, (byte) -17, (byte) 112,
            (byte) -50, (byte) -6, (byte) 36, (byte) -60, (byte) -3,
            (byte) -59, (byte) -70, (byte) -82, (byte) -21, (byte) -70,
            (byte) -50, (byte) 57, (byte) 119, (byte) 56, (byte) 28,
            (byte) -84, (byte) 118, (byte) -1, (byte) -4, (byte) -4,
            (byte) 124, (byte) -11, (byte) -101, (byte) 122, (byte) 91,
            (byte) -60, (byte) 29, (byte) 66, (byte) -88, (byte) -35,
            (byte) 33, (byte) -124, (byte) -72, (byte) 67, (byte) 8,
            (byte) 113, (byte) -121, (byte) 16, (byte) -30, (byte) 14,
            (byte) 33, (byte) -60, (byte) 29, (byte) 66, (byte) -120,
            (byte) 59, (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) 66, (byte) -36, (byte) 33,
            (byte) -124, (byte) -72, (byte) 67, (byte) 8, (byte) 113,
            (byte) -121, (byte) 16, (byte) -30, (byte) 14, (byte) 33,
            (byte) -60, (byte) 29, (byte) 66, (byte) -120, (byte) 59,
            (byte) -124, (byte) 16, (byte) 119, (byte) 8, (byte) 33,
            (byte) -18, (byte) 16, (byte) -14, (byte) 31, (byte) 111,
            (byte) -92, (byte) -25, (byte) -90, (byte) 9, (byte) 86, (byte) 33,
            (byte) -30, (byte) 0, (byte) 0, (byte) 0, (byte) 0, (byte) 73,
            (byte) 69, (byte) 78, (byte) 68, (byte) -82, (byte) 66, (byte) 96,
            (byte) -126, (byte) -23, (byte) 98, (byte) 87, (byte) 23,
            (byte) -75, (byte) -22, (byte) -66, (byte) 94, (byte) -20,
            (byte) -35, (byte) -9, (byte) -11, (byte) -122, (byte) -75,
            (byte) -69, (byte) 73, (byte) 35, (byte) 62, (byte) 12, (byte) 67,
            (byte) 60, (byte) 73, (byte) 45, (byte) -118, (byte) 98,
            (byte) -81, (byte) 61, (byte) -24, (byte) 125, (byte) -117,
            (byte) -38, (byte) -15, (byte) 13, (byte) -32, (byte) -69,
            (byte) -34, (byte) -77, (byte) -104, (byte) -55, (byte) 126,
            (byte) -41, (byte) 6, (byte) -117, (byte) 43, (byte) 51,
            (byte) -50, (byte) -71, (byte) -43, (byte) 74, (byte) 38,
            (byte) 61, (byte) -93, (byte) -99, (byte) -25, (byte) 57,
            (byte) -53, (byte) 50, (byte) -17, (byte) 125, (byte) -68,
            (byte) 108, (byte) 31, (byte) 66, (byte) -72, (byte) -84,
            (byte) 61, (byte) 46, (byte) 77, (byte) -45, (byte) -76, (byte) 88,
            (byte) 93, (byte) 92, (byte) -23, (byte) -18, (byte) -67,
            (byte) 112, (byte) -97, (byte) -73, (byte) -115, (byte) 123,
            (byte) -106, (byte) 101, (byte) 77, (byte) -45, (byte) -100,
            (byte) 78, (byte) -89, (byte) 116, (byte) -54, (byte) -30,
            (byte) -49, (byte) 27, (byte) -75, (byte) 109, (byte) -69,
            (byte) -70, (byte) -111, (byte) 44, (byte) 12, (byte) -61,
            (byte) -80, (byte) -6, (byte) -77, (byte) -50, (byte) 124,
            (byte) -27, (byte) 36, (byte) -8, (byte) -111, (byte) 94,
            (byte) -72, (byte) -49, (byte) -37, (byte) 22, (byte) 51,
            (byte) 38, (byte) -67, (byte) -88, (byte) 87, (byte) 85,
            (byte) -43, (byte) -22, (byte) 78, (byte) -70, (byte) -17,
            (byte) -5, (byte) 24, (byte) -72, (byte) 69, (byte) -83,
            (byte) 108, (byte) 47, (byte) -90, (byte) 105, (byte) 90,
            (byte) -67, (byte) 28, (byte) -119, (byte) -1, (byte) -99,
            (byte) 119, (byte) -34, (byte) -69, (byte) 103, (byte) 89,
            (byte) -42, (byte) 52, (byte) 77, (byte) 44, (byte) 21,
            (byte) -102, (byte) -90, (byte) -7, (byte) -78, (byte) 125,
            (byte) 122, (byte) 125, (byte) 38, (byte) -66, (byte) -74,
            (byte) -46, (byte) -1, (byte) -78, (byte) -70, (byte) -80,
            (byte) -51, (byte) 32, (byte) 22, (byte) -30, (byte) 118,
            (byte) 41, (byte) 61, (byte) -10, (byte) -67, (byte) -10,
            (byte) 91, (byte) -46, (byte) 125, (byte) -67, (byte) -80,
            (byte) -113, (byte) 23, (byte) -97, (byte) 42, (byte) 63,
            (byte) -39, (byte) -105, (byte) 87, (byte) 54, (byte) 22,
            (byte) 109, (byte) -82, (byte) 73, (byte) -5, (byte) -90,
            (byte) 21, (byte) -47, (byte) -75, (byte) 101, (byte) 94,
            (byte) 94, (byte) -40, (byte) -71, (byte) -81, (byte) 23,
            (byte) 87, (byte) 102, (byte) -10, (byte) -11, (byte) -26,
            (byte) -59, (byte) -52, (byte) 45, (byte) 110, (byte) -71,
            (byte) -113, (byte) 42, (byte) 109, (byte) -109, (byte) 86,
            (byte) 68, (byte) -85, (byte) 125, (byte) 87, (byte) -117,
            (byte) -97, (byte) -5, (byte) 122, (byte) -91, (byte) 46,
            (byte) 127, (byte) -12, (byte) -35, (byte) -66, (byte) 17,
            (byte) 13, (byte) 43, (byte) 94, (byte) -67, (byte) -67, (byte) 61,
            (byte) -41, (byte) 45, (byte) 123, (byte) -9, (byte) -40,
            (byte) -96, (byte) -86, (byte) 42, (byte) -1, (byte) -89,
            (byte) -76, (byte) -12, (byte) -113, (byte) -19, (byte) 23,
            (byte) -65, (byte) -13, (byte) 59, (byte) -25, (byte) -46,
            (byte) -5, (byte) -70, (byte) -30, (byte) -19, (byte) 0,
            (byte) -117, (byte) -114, (byte) -5, (byte) -10, (byte) 90,
            (byte) 20, (byte) 87, (byte) -117, (byte) 107, (byte) -7,
            (byte) 105, (byte) -5, (byte) -3, (byte) -66, (byte) -53,
            (byte) 119, (byte) -96, (byte) 30, (byte) -9, (byte) 47,
            (byte) -17, (byte) 44, (byte) -120, (byte) 13, (byte) -46,
            (byte) -24, (byte) 124, (byte) -21, (byte) 42, (byte) -31,
            (byte) 95, (byte) -24, (byte) -75, (byte) -120, (byte) -11,
            (byte) -75, (byte) -23, (byte) -112, (byte) 46, (byte) 102,
            (byte) -66, (byte) 117, (byte) -55, (byte) 37, (byte) 109,
            (byte) -20, (byte) -67, (byte) 111, (byte) -37, (byte) 118,
            (byte) -29, (byte) 94, (byte) 46, (byte) 59, (byte) 80, (byte) 44,
            (byte) 38, (byte) 62, (byte) -46, (byte) 107, (byte) -29,
            (byte) -115, (byte) -83, (byte) -10, (byte) -62, (byte) -70,
            (byte) 87, (byte) 111, (byte) 111, (byte) -49, (byte) -75,
            (byte) -67, (byte) 119, (byte) 79, (byte) -25, (byte) -98,
            (byte) 78, (byte) -89, (byte) -43, (byte) 37, (byte) -92, };

    public SplashScreen() {
        JLabel l = new JLabel(new ImageIcon(icon));
        getContentPane().add(l, BorderLayout.CENTER);
        pack();
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension labelSize = l.getPreferredSize();
        setLocation(screenSize.width / 2 - (labelSize.width / 2),
                screenSize.height / 2 - (labelSize.height / 2));
        setVisible(true);
        screenSize = null;
        labelSize = null;
    }
}

