package de.hampelratte.yaggui.gui;

import javax.swing.JPanel;
import javax.swing.JSplitPane;

import de.hampelratte.yaggui.Command;

public class TransferPanel extends AbstractPanel {
    private JSplitPane splitpane = new JSplitPane(JSplitPane.VERTICAL_SPLIT);

    private DownloadPanel downloads = new DownloadPanel();

    private UploadPanel uploads = new UploadPanel();

    public TransferPanel(JPanel parent) {
        super(parent);
        setBorder("Transfer");

        splitpane.setDividerLocation(300);
        splitpane.setTopComponent(downloads);
        splitpane.setBottomComponent(uploads);
        splitpane.setDividerSize(7);
        add(splitpane);
    }

    public void addLoad(Command cmd, int dir, int session) {
        if (dir == 0)
            downloads.addLoad(cmd, session);
        else
            uploads.addLoad(cmd, session);
    }

    public void changeLoad(Command cmd, int dir, int session) {
        if (dir == 0)
            downloads.changeLoad(cmd, session);
        else
            uploads.changeLoad(cmd, session);
    }

    public void delLoad(int dir, int session) {
        if (dir == 0)
            downloads.delLoad(session);
        else
            uploads.delLoad(session);
    }

    public void addSource(Command cmd, int session) {
        downloads.addSource(cmd, session);
    }

    /*
     * public void addMoreSources(Command cmd) { downloads.addMoreSources(cmd); }
     */

    public void delSource(Command cmd, int session) {
        downloads.delSource(cmd, session);
    }

    public void resetTables() {
        uploads.resetTable();
        downloads.resetTable();
    }
}