package de.hampelratte.yaggui.gui.sortabletable;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.UIManager;
import javax.swing.border.Border;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellRenderer;

public class SortableTableHeaderRenderer extends DefaultTableCellRenderer
        implements TableCellRenderer {

    private final SortIcon UP = new SortIcon(Color.BLACK, 8, 1);

    private final SortIcon DOWN = new SortIcon(Color.BLACK, 8, 0);

    public SortableTableHeaderRenderer() {
        this.setBorder((Border) UIManager.getDefaults().get(
                "TableHeader.cellBorder"));
        this.setHorizontalTextPosition(JLabel.LEFT);
    }

    public Component getTableCellRendererComponent(JTable table, Object value,
            boolean isSelected, boolean hasFocus, int row, int column) {
        SortableTable sortTable = (SortableTable) table;
        this.setValue(" " + value.toString());

        // set the sort icon
        if (sortTable.isSorted()) {
            if (column == sortTable.getSortColumn()) {
                this.setIcon(sortTable.getSortDirection() ? UP : DOWN);
            } else {
                this.setIcon(null);
            }
        }

        return this;
    }
}