package de.hampelratte.yaggui.gui.treetable;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JTable;

import de.hampelratte.yaggui.Main;
import de.hampelratte.yaggui.Load;
import de.hampelratte.yaggui.Logger;
import de.hampelratte.yaggui.Source;

/**
 * 
 * @author hampelratte@users.sf.net
 * 
 * A table combined with a tree. It supports expanding and collapsing rows.
 * 
 */
public class TreeTable extends JTable implements MouseListener, KeyListener {
    
    private Logger logger = Logger.getLogger();
    
    public TreeTable() {
        super();
        this.addMouseListener(this);
        this.addKeyListener(this);
        this.setShowGrid(false);
        this.setShowHorizontalLines(false);
    }

    public void mouseClicked(MouseEvent e) {
    }

    public void mouseEntered(MouseEvent e) {
    }

    public void mouseExited(MouseEvent e) {
    }

    public void mousePressed(MouseEvent e) {
    }

    public void mouseReleased(MouseEvent e) {
        if (e.getClickCount() == 2) {
            int row = super.rowAtPoint(e.getPoint());
            ((TreeTableModel) getModel()).toggleRow(row);
        }
    }

    
    public void keyTyped(KeyEvent e) {}
    public void keyPressed(KeyEvent e) {}
    public void keyReleased(KeyEvent e) {
        int rows[] = getSelectedRows();
        for(int i=rows.length-1; i>=0; i--) {
            Object o = getModel().getValueAt(rows[i],0);
            if(e.getKeyCode() == KeyEvent.VK_DELETE) {
                if(o instanceof Load) {
                    Load l = (Load)o;
                    int session = l.getSession();
                    Main.com.changeState(session, "cancel");
                } else if(o instanceof Source) {
                    Source s = (Source)o;
                    Main.com.removeSource(s);
                }
            } else if(e.getKeyCode() == KeyEvent.VK_RIGHT) {
                if(o instanceof Load) {
                    ((TreeTableModel)getModel()).expandRow(rows[i]);
                } 
            } else if(e.getKeyCode() == KeyEvent.VK_LEFT) {
                if(o instanceof Load) {
                    ((TreeTableModel)getModel()).collapseRow(rows[i]);
                } 
            }
        }
    }
}